#!/bin/sh

set -e

PYTHON3S=$(py3versions -vr 2>/dev/null)
set -e ; set -x ; for i in ${PYTHON3S} ; do
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
	HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
	PYTHON=python${i} python${i} -m coverage run ./manage.py test horizon --verbosity 2 --settings=horizon.test.settings --exclude-tag selenium --exclude-tag integration
	PYTHON=python${i} python${i} -m coverage run ./manage.py test openstack_dashboard --verbosity 2 --settings=openstack_dashboard.test.settings --exclude-tag selenium --exclude-tag integration
	PYTHON=python${i} python${i} -m coverage run ./manage.py test openstack_auth --verbosity 2 --settings=openstack_auth.tests.settings --exclude-tag selenium --exclude-tag integration
	PYTHON=python${i} python${i} ./manage.py test horizon --settings=horizon.test.settings --verbosity 2 --exclude-tag selenium --exclude-tag integration
	PYTHON=python${i} python${i} ./manage.py test openstack_dashboard --settings=openstack_dashboard.test.settings --verbosity 2 --exclude-tag selenium --exclude-tag integration
	PYTHON=python${i} python${i} ./manage.py test openstack_auth --settings=openstack_auth.tests.settings --verbosity 2 --exclude-tag selenium --exclude-tag integration
done
